> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 注册账号 - POST /v1/auth/register

> 通过 POST /v1/auth/register 注册 AriaMem 账号，可选 display_name。返回新建用户对象。

注册一个新的 AriaMem 账号。注册成功后，该账号会作为 owner 自动拥有自己的初始工作空间，可立即[创建工作空间](/api-reference/memo/workspaces/create)并[创建 API Key](/api-reference/memo/apikeys/create-list)。

## 接口

```http theme={null}
POST /v1/auth/register
```

## 认证

无需认证（公开注册）。

## 请求体

<ParamField body="email" type="string" required>
  账号邮箱，全局唯一。
</ParamField>

<ParamField body="password" type="string" required>
  登录密码。
</ParamField>

<ParamField body="display_name" type="string">
  显示名，省略时取邮箱前缀。
</ParamField>

## 响应

<ResponseField name="id" type="string">
  用户 id（`usr_...`）。
</ResponseField>

<ResponseField name="email" type="string">
  注册邮箱。
</ResponseField>

<ResponseField name="display_name" type="string">
  显示名。
</ResponseField>

## 示例

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://memo.ariacompute.cn/v1/auth/register \
    -H "Content-Type: application/json" \
    -d '{"email":"you@example.com","password":"<pwd>","display_name":"You"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "usr_01a2b3c4d5e6",
    "email": "you@example.com",
    "display_name": "You"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.